does not work on lxde,no show on lxpanel

Asked by bugreporter on 2013-10-16

on lxde.it does not work , it does not show on the panel orlxde indicator plugin.How to start it ,i run it on terminal:indicator-notifications, the terminal gives me "command not found".

Question information

Language:
English Edit question
Status:
Answered
For:
recent-notifications Edit question
Assignee:
No assignee Edit question
Last query:
2013-10-17
Last reply:
2013-10-17
Jason Conti (jconti) said : #1

Which Ubuntu version is this? My guess is that it requires the gtk2 version which I didn't build for 13.04 (though there is indicators-notifications-gtk2 in 12.04 and 12.10). It might be possible to build it for 13.04 but it will require at least one change to enable eavesdropping so that it works at all.

bugreporter (opensoul) said : #2

my ubuntu version is 12.04(not lubuntu). i tried the gtk2-version,it didnt work as well,.

Jason Conti (jconti) said : #3

Did you install the lxpanel-indicator-applet-plugin? If so you should check the panel properties to make sure it is enabled. I will test it later today, maybe something is broken.

Jason Conti (jconti) said : #4

Okay I examined it today. Even if you enable the indicator plugin like I suggest in comment #3 it will not work because they changed the code to only allow six indicators in the panel, and mine is not one of them. So there really isn't much I can do about the issue. You could file a bug against lxpanel, but I'm not sure they'd change it. If you do file a bug about it, feel free to subscribe me to it. The fix would be about 4 lines of code to indicator.c but again I'm not sure they would be interested.

Jason Conti (jconti) said : #5

For fun and profit, here's a debdiff that fixes lxpanel so the indicator shows up: http://paste.ubuntu.com/6253814/

bugreporter (opensoul) said : #6

i switched to the xfce which is also lightweight ,i dont want to modify source code every time i update the lxde. your indicator works under xfce .Thanks a lot

Can you help with this problem?

Provide an answer of your own, or ask bugreporter for more information if necessary.

To post a message you must log in.